Bug 525195 - devkit-disks-daemon aborting due to SMART error
Summary: devkit-disks-daemon aborting due to SMART error
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: DeviceKit-disks
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 15:54 UTC by Brian Morrison
Modified: 2013-03-06 03:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:47:09 UTC


Attachments (Terms of Use)
skdump for /dev/sda (1.54 KB, application/octet-stream)
2009-09-23 21:45 UTC, Brian Morrison
no flags Details
skdump for /dev/sdb (1.54 KB, application/octet-stream)
2009-09-23 21:46 UTC, Brian Morrison
no flags Details

Description Brian Morrison 2009-09-23 15:54:11 UTC
I have noticed that my main Fedora 11 machine is failing to mount USB disks when inserted, and have tracked it down to the devkit-disks-daemon not running.

It seems that this crash happens at various times, including at start up of the desktop.

Manually starting /usr/libexec/devkit-disks/daemon eventually results in this error:

**** Refreshing ATA SMART data for /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-4/2-4:1.0/host8/target8:0:0/8:0:0:0/block/sdb
helper(pid  2155): launched job /usr/libexec/devkit-disks-helper-ata-smart-collect on /dev/sdb
**** Refreshing ATA SMART data for /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda
helper(pid  2156): launched job /usr/libexec/devkit-disks-helper-ata-smart-collect on /dev/sda
helper(pid  2156): completed with exit code 0
helper(pid  2155): completed with exit code 0

(devkit-disks-daemon:1341): GLib-CRITICAL **: g_base64_decode: assertion `input_length > 1' failed
devkit-disks-daemon: atasmart.c:2345: sk_disk_set_blob: Assertion `blob' failed.
Aborted

All the F11 packages on this machine are up to date, but for reference the relevant package versions are:

DeviceKit-disks-004-4.fc11.x86_64
DeviceKit-003-1.x86_64
udev-141-7.fc11.x86_64
libudev0-141-7.fc11.x86_64

Comment 1 Brian Morrison 2009-09-23 16:30:26 UTC
[bdm@peterson ~]$ devkit-disks --dump
========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/dm_0
  native-path:             /sys/devices/virtual/block/dm-0
  device:                  253:0
  device-file:             /dev/dm-0
    by-id:                 /dev/disk/by-id/dm-name-LVM1-LVM1
    by-id:                 /dev/disk/by-id/dm-uuid-LVM-8lvKzDhhfwIbuyU8qXfnxbP6M9A94eAnaIxjEKwmr7Ax2YPF1RUoQ7IaCdlhuipD
    by-id:                 /dev/disk/by-uuid/51b3a7df-50c2-4fa9-8262-6a2473596a37
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              1
  mount paths:             /home3
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    170393600000
  block size:              512
  job underway:            no
  usage:                   filesystem
  type:                    ext3
  version:                 1.0
  uuid:                    51b3a7df-50c2-4fa9-8262-6a2473596a37
  label:
  drive:
    vendor:
    model:
    revision:
    serial:
    ejectable:             0
    require eject:         0
    media:
      compat:
    interface:     (unknown)
    if speed:              (unknown)
    ATA SMART:             not available

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda
  device:                  8:0
  device-file:             /dev/sda
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0
  detected at:             Wed 23 Sep 2009 17:25:35 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:35 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    320072933376
  block size:              512
  job underway:            no
  usage:
  type:
  version:
  uuid:
  label:
  partition table:
    scheme:                mbr
    count:                 11
  drive:
    vendor:                ATA
    model:                 ST3320620AS
    revision:              3.AA
    serial:                9QF5JWZ2
    ejectable:             0
    require eject:         0
    media:
      compat:
    interface:             ata
    if speed:              (unknown)
    ATA SMART:             Data not collected

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda1
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda1
  device:                  8:1
  device-file:             /dev/sda1
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2-part1
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2-part1
    by-id:                 /dev/disk/by-uuid/a99dc6a8-174b-4ed5-8684-9b823101de04
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part1
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              1
  mount paths:             /boot
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    263176704
  block size:              512
  job underway:            no
  usage:                   filesystem
  type:                    ext3
  version:                 1.0
  uuid:                    a99dc6a8-174b-4ed5-8684-9b823101de04
  label:                   /boot
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                mbr
    number:                1
    type:                  0x83
    flags:                 boot
    offset:                32256
    size:                  263176704
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda10
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda10
  device:                  8:10
  device-file:             /dev/sda10
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2-part10
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2-part10
    by-id:                 /dev/disk/by-uuid/09baa003-df89-4499-b0b4-e14ed7dbcc62
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part10
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              1
  mount paths:             /home2
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    100011147264
  block size:              512
  job underway:            no
  usage:                   filesystem
  type:                    ext3
  version:                 1.0
  uuid:                    09baa003-df89-4499-b0b4-e14ed7dbcc62
  label:                   /home2
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                mbr
    number:                10
    type:                  0x83
    flags:
    offset:                84021267456
    size:                  100011147264
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda11
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda11
  device:                  8:11
  device-file:             /dev/sda11
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2-part11
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2-part11
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part11
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    136037873664
  block size:              512
  job underway:            no
  usage:                   raid
  type:                    LVM2_member
  version:                 LVM2\x20001
  uuid:                    J3KmeA-sEu2-H9Dz-4N8Z-acfE-DfUe-BF6aIv
  label:
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                mbr
    number:                11
    type:                  0x83
    flags:
    offset:                184032446976
    size:                  136037873664
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda2
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda2
  device:                  8:2
  device-file:             /dev/sda2
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2-part2
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2-part2
    by-id:                 /dev/disk/by-uuid/cbca5ff6-3989-4e4f-92ce-6b983868b6d8
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part2
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              1
  mount paths:             /home
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    17182609920
  block size:              512
  job underway:            no
  usage:                   filesystem
  type:                    ext3
  version:                 1.0
  uuid:                    cbca5ff6-3989-4e4f-92ce-6b983868b6d8
  label:                   /home
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                mbr
    number:                2
    type:                  0x83
    flags:
    offset:                263208960
    size:                  17182609920
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda3
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda3
  device:                  8:3
  device-file:             /dev/sda3
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2-part3
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2-part3
    by-id:                 /dev/disk/by-uuid/99e93a54-65bb-475b-8288-dd96c24e7d04
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part3
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              1
  mount paths:             /usr
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    17182609920
  block size:              512
  job underway:            no
  usage:                   filesystem
  type:                    ext3
  version:                 1.0
  uuid:                    99e93a54-65bb-475b-8288-dd96c24e7d04
  label:                   /usr
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                mbr
    number:                3
    type:                  0x83
    flags:
    offset:                17445818880
    size:                  17182609920
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda4
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda4
  device:                  8:4
  device-file:             /dev/sda4
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2-part4
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2-part4
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part4
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    1024
  block size:              512
  job underway:            no
  usage:
  type:
  version:
  uuid:
  label:
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                mbr
    number:                4
    type:                  0x05
    flags:
    offset:                34628428800
    size:                  285441891840
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda5
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda5
  device:                  8:5
  device-file:             /dev/sda5
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2-part5
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2-part5
    by-id:                 /dev/disk/by-uuid/b5c78fcb-9edb-4b04-a02e-69ff49ee9344
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part5
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              1
  mount paths:             /var
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    8587160064
  block size:              512
  job underway:            no
  usage:                   filesystem
  type:                    ext3
  version:                 1.0
  uuid:                    b5c78fcb-9edb-4b04-a02e-69ff49ee9344
  label:                   /var
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                mbr
    number:                5
    type:                  0x83
    flags:
    offset:                34628461056
    size:                  8587160064
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda6
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda6
  device:                  8:6
  device-file:             /dev/sda6
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2-part6
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2-part6
    by-id:                 /dev/disk/by-uuid/d687c8d7-fb0d-49c0-afbe-920ca633d057
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part6
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    4293563904
  block size:              512
  job underway:            no
  usage:                   other
  type:                    swap
  version:                 2
  uuid:                    d687c8d7-fb0d-49c0-afbe-920ca633d057
  label:
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                mbr
    number:                6
    type:                  0x82
    flags:
    offset:                43215653376
    size:                  4293563904
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda7
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda7
  device:                  8:7
  device-file:             /dev/sda7
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2-part7
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2-part7
    by-id:                 /dev/disk/by-uuid/ef4fef15-0333-46d6-a151-ac36b5b951af
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part7
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              1
  mount paths:             /
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    2146765824
  block size:              512
  job underway:            no
  usage:                   filesystem
  type:                    ext3
  version:                 1.0
  uuid:                    ef4fef15-0333-46d6-a151-ac36b5b951af
  label:                   /
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                mbr
    number:                7
    type:                  0x83
    flags:
    offset:                47509249536
    size:                  2146765824
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda8
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda8
  device:                  8:8
  device-file:             /dev/sda8
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2-part8
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2-part8
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part8
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    17182577664
  block size:              512
  job underway:            no
  usage:                   raid
  type:                    LVM2_member
  version:                 LVM2\x20001
  uuid:                    0J8dGJ-uzfD-Suci-IZmT-UtQS-x85h-TtRx3k
  label:
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                mbr
    number:                8
    type:                  0x83
    flags:
    offset:                49656047616
    size:                  17182577664
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda9
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda9
  device:                  8:9
  device-file:             /dev/sda9
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2-part9
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2-part9
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part9
  detected at:             Wed 23 Sep 2009 17:25:36 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:36 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    17182577664
  block size:              512
  job underway:            no
  usage:                   raid
  type:                    LVM2_member
  version:                 LVM2\x20001
  uuid:                    StP4je-O7L8-1AqO-dRUV-UUt1-2oSA-oOda2Y
  label:
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sda
    scheme:                mbr
    number:                9
    type:                  0x83
    flags:
    offset:                66838657536
    size:                  17182577664
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb
  native-path:             /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-4/2-4:1.0/host8/target8:0:0/8:0:0:0/block/sdb
  device:                  8:16
  device-file:             /dev/sdb
    by-id:                 /dev/disk/by-id/usb-Seagate_FreeAgentDesktop_6QG1J6C2-0:0
    by-path:               /dev/disk/by-path/pci-0000:00:1d.7-usb-0:4:1.0-scsi-0:0:0:0
  detected at:             Wed 23 Sep 2009 17:25:35 BST
  system internal:         0
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:35 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    500107862016
  block size:              512
  job underway:            no
  usage:
  type:
  version:
  uuid:
  label:
  partition table:
    scheme:                mbr
    count:                 3
  drive:
    vendor:                Seagate
    model:                 FreeAgentDesktop
    revision:              100D
    serial:                6QG1J6C2
    ejectable:             0
    require eject:         0
    media:
      compat:
    interface:             usb
    if speed:              480000000 bits/s
    ATA SMART:             Data not collected

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb1
  native-path:             /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-4/2-4:1.0/host8/target8:0:0/8:0:0:0/block/sdb/sdb1
  device:                  8:17
  device-file:             /dev/sdb1
    by-id:                 /dev/disk/by-id/usb-Seagate_FreeAgentDesktop_6QG1J6C2-0:0-part1
    by-id:                 /dev/disk/by-uuid/3f9abb11-6855-43b6-86ec-8300aab4f8c0
    by-path:               /dev/disk/by-path/pci-0000:00:1d.7-usb-0:4:1.0-scsi-0:0:0:0-part1
  detected at:             Wed 23 Sep 2009 17:25:35 BST
  system internal:         0
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:35 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    499858458624
  block size:              512
  job underway:            no
  usage:                   filesystem
  type:                    ext3
  version:                 1.0
  uuid:                    3f9abb11-6855-43b6-86ec-8300aab4f8c0
  label:
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sdb
    scheme:                mbr
    number:                1
    type:                  0x83
    flags:
    offset:                32256
    size:                  499858458624
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb2
  native-path:             /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-4/2-4:1.0/host8/target8:0:0/8:0:0:0/block/sdb/sdb2
  device:                  8:18
  device-file:             /dev/sdb2
    by-id:                 /dev/disk/by-id/usb-Seagate_FreeAgentDesktop_6QG1J6C2-0:0-part2
    by-id:                 /dev/disk/by-uuid/596c056a-5ac4-491f-a7ab-dec49d3f21e4
    by-path:               /dev/disk/by-path/pci-0000:00:1d.7-usb-0:4:1.0-scsi-0:0:0:0-part2
  detected at:             Wed 23 Sep 2009 17:25:35 BST
  system internal:         0
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:35 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    123379200
  block size:              512
  job underway:            no
  usage:                   filesystem
  type:                    ext3
  version:                 1.0
  uuid:                    596c056a-5ac4-491f-a7ab-dec49d3f21e4
  label:
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sdb
    scheme:                mbr
    number:                2
    type:                  0x83
    flags:
    offset:                499858490880
    size:                  123379200
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb3
  native-path:             /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-4/2-4:1.0/host8/target8:0:0/8:0:0:0/block/sdb/sdb3
  device:                  8:19
  device-file:             /dev/sdb3
    by-id:                 /dev/disk/by-id/usb-Seagate_FreeAgentDesktop_6QG1J6C2-0:0-part3
    by-path:               /dev/disk/by-path/pci-0000:00:1d.7-usb-0:4:1.0-scsi-0:0:0:0-part3
  detected at:             Wed 23 Sep 2009 17:25:35 BST
  system internal:         0
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:25:35 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    123379200
  block size:              512
  job underway:            no
  usage:                   other
  type:                    swap
  version:                 1
  uuid:
  label:
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sdb
    scheme:                mbr
    number:                3
    type:                  0x82
    flags:
    offset:                499981870080
    size:                  123379200
    label:
    uuid:

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sr0
  native-path:             /sys/devices/pci0000:00/0000:00:1c.1/0000:02:00.0/host6/target6:0:0/6:0:0:0/block/sr0
  device:                  11:0
  device-file:             /dev/sr0
    by-path:               /dev/disk/by-path/pci-0000:02:00.0-scsi-0:0:0:0
  detected at:             Wed 23 Sep 2009 17:25:35 BST
  system internal:         0
  removable:               1
  has media:               0
    detects change:        1
    detection by polling:  1
    detection inhibitable: 1
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    0
  block size:              0
  job underway:            no
  usage:
  type:
  version:
  uuid:
  label:
  drive:
    vendor:                TSSTcorp
    model:                 CD/DVDW SH-S182D
    revision:              SB06
    serial:
    ejectable:             0
    require eject:         1
    media:
      compat:              optical_cd optical_cd_r optical_cd_rw optical_dvd optical_dvd_r optical_dvd_ram optical_mrw optical_mrw_w
    interface:             scsi
    if speed:              (unknown)
    ATA SMART:             not available

========================================================================

Comment 2 Brian Morrison 2009-09-23 16:30:57 UTC
[bdm@peterson ~]$ cat /proc/self/mount
mountinfo   mounts      mountstats
[bdm@peterson ~]$ cat /proc/self/mountinfo
19 1 8:7 / / rw,relatime - ext3 /dev/root rw,errors=continue,user_xattr,acl,data=ordered
20 19 0:15 / /dev rw,relatime - tmpfs /dev rw,mode=755
21 19 0:3 / /proc rw,relatime - proc /proc rw
22 19 0:0 / /sys rw,relatime - sysfs /sys rw
16 21 0:14 / /proc/bus/usb rw,relatime - usbfs /proc/bus/usb rw
23 20 0:10 / /dev/pts rw,relatime - devpts devpts rw,gid=5,mode=620,ptmxmode=000
24 19 8:5 / /var rw,relatime - ext3 /dev/sda5 rw,errors=continue,user_xattr,acl,data=ordered
25 19 8:3 / /usr rw,relatime - ext3 /dev/sda3 rw,errors=continue,user_xattr,acl,data=ordered
26 19 8:2 / /home rw,relatime - ext3 /dev/sda2 rw,errors=continue,user_xattr,acl,data=ordered
27 19 8:10 / /home2 rw,relatime - ext3 /dev/sda10 rw,errors=continue,data=ordered
28 19 253:0 / /home3 rw,relatime - ext3 /dev/mapper/LVM1-LVM1 rw,errors=continue,data=ordered
29 19 8:1 / /boot rw,relatime - ext3 /dev/sda1 rw,errors=continue,user_xattr,acl,data=ordered
30 20 0:16 / /dev/shm rw,relatime - tmpfs tmpfs rw
31 21 0:17 / /proc/sys/fs/binfmt_misc rw,relatime - binfmt_misc none rw
32 19 0:18 / /misc rw,relatime - autofs /etc/auto.misc rw,fd=7,pgrp=1669,timeout=300,minproto=5,maxproto=5,indirect
33 19 0:19 / /net rw,relatime - autofs -hosts rw,fd=13,pgrp=1669,timeout=300,minproto=5,maxproto=5,indirect
34 19 0:20 / /host/ickx rw,relatime - autofs /etc/auto.host rw,fd=19,pgrp=1669,timeout=3600,minproto=5,maxproto=5,indirect
35 24 0:21 / /var/lib/nfs/rpc_pipefs rw,relatime - rpc_pipefs sunrpc rw
36 21 0:22 / /proc/fs/nfsd rw,relatime - nfsd nfsd rw
15 26 0:23 / /home/bdm/.gvfs rw,nosuid,nodev,relatime - fuse.gvfs-fuse-daemon gvfs-fuse-daemon rw,user_id=500,group_id=500

Comment 3 Brian Morrison 2009-09-23 16:31:17 UTC
[bdm@peterson ~]$ rpm -q DeviceKit-disks gvfs libatasmart
DeviceKit-disks-004-4.fc11.x86_64
gvfs-1.2.3-12.fc11.x86_64
libatasmart-0.12-3.fc11.x86_64

Comment 4 Brian Morrison 2009-09-23 16:31:43 UTC
[bdm@peterson ~]$ devkit-disks --show-info /dev/sda
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sda
  native-path:             /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda
  device:                  8:0
  device-file:             /dev/sda
    by-id:                 /dev/disk/by-id/ata-ST3320620AS_9QF5JWZ2
    by-id:                 /dev/disk/by-id/scsi-SATA_ST3320620AS_9QF5JWZ2
    by-path:               /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0
  detected at:             Wed 23 Sep 2009 17:27:21 BST
  system internal:         1
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:27:21 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    320072933376
  block size:              512
  job underway:            no
  usage:
  type:
  version:
  uuid:
  label:
  partition table:
    scheme:                mbr
    count:                 11
  drive:
    vendor:                ATA
    model:                 ST3320620AS
    revision:              3.AA
    serial:                9QF5JWZ2
    ejectable:             0
    require eject:         0
    media:
      compat:
    interface:             ata
    if speed:              (unknown)
    ATA SMART:             Data not collected
[bdm@peterson ~]$ devkit-disks --show-info /dev/sdb
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb
  native-path:             /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-4/2-4:1.0/host8/target8:0:0/8:0:0:0/block/sdb
  device:                  8:16
  device-file:             /dev/sdb
    by-id:                 /dev/disk/by-id/usb-Seagate_FreeAgentDesktop_6QG1J6C2-0:0
    by-path:               /dev/disk/by-path/pci-0000:00:1d.7-usb-0:4:1.0-scsi-0:0:0:0
  detected at:             Wed 23 Sep 2009 17:27:21 BST
  system internal:         0
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 17:27:21 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:
  mounted by uid:          0
  presentation hide:       0
  presentation name:
  presentation icon:
  size:                    500107862016
  block size:              512
  job underway:            no
  usage:
  type:
  version:
  uuid:
  label:
  partition table:
    scheme:                mbr
    count:                 3
  drive:
    vendor:                Seagate
    model:                 FreeAgentDesktop
    revision:              100D
    serial:                6QG1J6C2
    ejectable:             0
    require eject:         0
    media:
      compat:
    interface:             usb
    if speed:              480000000 bits/s
    ATA SMART:             Updated at Wed 23 Sep 2009 17:27:22 BST
      assessment:          PASSED
      bad sectors:         None
      attributes:          Within threshold
      temperature:         44° C / 111° F
      powered on:          422 days
      offline data:        successful (430 second(s) to complete)
      self-test status:    success or never (0% remaining)
      ext./short test:     available
      conveyance test:     not available
      start test:          available
      abort test:          available
      short test:            1 minute(s) recommended polling time
      ext. test:           163 minute(s) recommended polling time
      conveyance test:       2 minute(s) recommended polling time
===============================================================================
 Attribute       Current/Worst/Threshold  Status   Value       Type     Updates
===============================================================================
 raw-read-error-rate         110/ 82/  6   good    28137368    Prefail  Online
 spin-up-time                 91/ 91/  0    n/a    0 msec      Prefail  Online
 start-stop-count             67/ 67/ 20   good    34718       Old-age  Online
 reallocated-sector-count    100/100/ 36   good    0 sectors   Prefail  Online
 seek-error-rate              72/ 60/ 30   good    17551063    Prefail  Online
 power-on-hours               89/ 89/  0    n/a    422 days    Old-age  Online
 spin-retry-count            100/100/ 97   good    0           Prefail  Online
 power-cycle-count           100/100/ 20   good    11          Old-age  Online
 reported-uncorrect          100/100/  0    n/a    0 sectors   Old-age  Online
 high-fly-writes             100/100/  0    n/a    0           Old-age  Online
 airflow-temperature-celsius  56/ 35/ 45   FAIL    44C / 111F  Old-age  Online
 temperature-celsius-2        44/ 65/  0    n/a    44C / 111F  Old-age  Online
 hardware-ecc-recovered       63/ 51/  0    n/a    9998451     Old-age  Online
 current-pending-sector      100/100/  0    n/a    0 sectors   Old-age  Online
 offline-uncorrectable       100/100/  0    n/a    0 sectors   Old-age  Offline
 udma-crc-error-count        200/200/  0    n/a    0           Old-age  Online
 multi-zone-error-rate       100/253/  0    n/a    0           Old-age  Offline
 ta-increase-count           100/253/  0    n/a    0           Old-age  Online

Comment 5 Brian Morrison 2009-09-23 16:32:17 UTC
[root@peterson bdm]# skdump /dev/sda
Device: /dev/sda
Type: 16 Byte SCSI ATA SAT Passthru
Size: 305245 MiB
Model: [ST3320620AS]
Serial: [9QF5JWZ2]
Firmware: [3.AAK]
SMART Available: yes
Quirks:
Awake: yes
SMART Disk Health Good: yes
Off-line Data Collection Status: [Off-line data collection activity was completed without error.]
Total Time To Complete Off-Line Data Collection: 430 s
Self-Test Execution Status: [The previous self-test routine completed without error or no self-test has ever been run.]
Percent Self-Test Remaining: 0%
Conveyance Self-Test Available: no
Short/Extended Self-Test Available: yes
Start Self-Test Available: yes
Abort Self-Test Available: yes
Short Self-Test Polling Time: 1 min
Extended Self-Test Polling Time: 115 min
Conveyance Self-Test Polling Time: 2 min
Bad Sectors: 0 sectors
Powered On: 2.1 years
Power Cycles: 42
Average Powered On Per Power Cycle: 17.9 days
Temperature: 51.0 C
Overall Status: GOOD
ID# Name                        Value Worst Thres Pretty      Raw            Type    Updates Good
  1 raw-read-error-rate         117   100     6   162693730   0x6282b2090000 prefail online  yes
  3 spin-up-time                 97    96     0   0 ms        0x000000000000 prefail online  n/a
  4 start-stop-count            100   100    20   42          0x2a0000000000 old-age online  yes
  5 reallocated-sector-count    100   100    36   0 sectors   0x000000000000 prefail online  yes
  7 seek-error-rate              84    60    30   297448114   0xb2b2ba110000 prefail online  yes
  9 power-on-hours               80    80     0   2.1 years   0x744600000000 old-age online  n/a
 10 spin-retry-count            100   100    97   0           0x000000000000 prefail online  yes
 12 power-cycle-count           100   100    20   42          0x2a0000000000 old-age online  yes
187 reported-uncorrect          100   100     0   0 sectors   0x000000000000 old-age online  n/a
189 high-fly-writes             100   100     0   0           0x000000000000 old-age online  n/a
190 airflow-temperature-celsius  49    42    45   51.0 C      0x33002f356900 old-age online  no
194 temperature-celsius-2        51    58     0   51.0 C      0x330000001900 old-age online  n/a
195 hardware-ecc-recovered       67    64     0   190901596   0x5ced600b0000 old-age online  n/a
197 current-pending-sector      100   100     0   0 sectors   0x000000000000 old-age online  n/a
198 offline-uncorrectable       100   100     0   0 sectors   0x000000000000 old-age offline n/a
199 udma-crc-error-count        200   200     0   0           0x000000000000 old-age online  n/a
200 multi-zone-error-rate       100   253     0   0           0x000000000000 old-age offline n/a
202 ta-increase-count           100   253     0   0           0x000000000000 old-age online  n/a

Comment 6 Brian Morrison 2009-09-23 16:33:08 UTC
[root@peterson bdm]# skdump /dev/sdb
Device: /dev/sdb
Type: 12 Byte SCSI ATA SAT Passthru
Size: 476940 MiB
Model: [ST3500830AS]
Serial: [6QG1J6C2]
Firmware: [3.AFE]
SMART Available: yes
Quirks:
Awake: yes
SMART Disk Health Good: yes
Off-line Data Collection Status: [Off-line data collection activity was completed without error.]
Total Time To Complete Off-Line Data Collection: 430 s
Self-Test Execution Status: [The previous self-test routine completed without error or no self-test has ever been run.]
Percent Self-Test Remaining: 0%
Conveyance Self-Test Available: no
Short/Extended Self-Test Available: yes
Start Self-Test Available: yes
Abort Self-Test Available: yes
Short Self-Test Polling Time: 1 min
Extended Self-Test Polling Time: 163 min
Conveyance Self-Test Polling Time: 2 min
Bad Sectors: 0 sectors
Powered On: 1.2 years
Power Cycles: 11
Average Powered On Per Power Cycle: 1.3 months
Temperature: 46.0 C
Overall Status: GOOD
ID# Name                        Value Worst Thres Pretty      Raw            Type    Updates Good
  1 raw-read-error-rate         110    82     6   28137368    0x9857ad010000 prefail online  yes
  3 spin-up-time                 91    91     0   0 ms        0x000000000000 prefail online  n/a
  4 start-stop-count             67    67    20   34718       0x9e8700000000 old-age online  yes
  5 reallocated-sector-count    100   100    36   0 sectors   0x000000000000 prefail online  yes
  7 seek-error-rate              72    60    30   17551099    0xfbce0b010000 prefail online  yes
  9 power-on-hours               89    89     0   1.2 years   0x8e2700000000 old-age online  n/a
 10 spin-retry-count            100   100    97   0           0x000000000000 prefail online  yes
 12 power-cycle-count           100   100    20   11          0x0b0000000000 old-age online  yes
187 reported-uncorrect          100   100     0   0 sectors   0x000000000000 old-age online  n/a
189 high-fly-writes             100   100     0   0           0x000000000000 old-age online  n/a
190 airflow-temperature-celsius  54    35    45   46.0 C      0x2e002c2e0000 old-age online  no
194 temperature-celsius-2        46    65     0   46.0 C      0x2e0000001600 old-age online  n/a
195 hardware-ecc-recovered       63    51     0   9998466     0x829098000000 old-age online  n/a
197 current-pending-sector      100   100     0   0 sectors   0x000000000000 old-age online  n/a
198 offline-uncorrectable       100   100     0   0 sectors   0x000000000000 old-age offline n/a
199 udma-crc-error-count        200   200     0   0           0x000000000000 old-age online  n/a
200 multi-zone-error-rate       100   253     0   0           0x000000000000 old-age offline n/a
202 ta-increase-count           100   253     0   0           0x000000000000 old-age online  n/a

Comment 7 Brian Morrison 2009-09-23 21:45:44 UTC
Created attachment 362362 [details]
skdump for /dev/sda

Comment 8 Brian Morrison 2009-09-23 21:46:14 UTC
Created attachment 362363 [details]
skdump for /dev/sdb

Comment 9 Brian Morrison 2009-09-23 21:57:34 UTC
After disconnecting the external USB disk I can get the devkit-disks-daemon to run without crashing.

However, simply restarting the daemon does not allow a USB flash disk to mount.

The daemon outputs this to the console on inserting the disk: 

**** ADDING /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1/1-1:1.0/host10/target10:0:0/10:0:0:0/block/sdb
**** UPDATING /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1/1-1:1.0/host10/target10:0:0/10:0:0:0/block/sdb
**** ADDED /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1/1-1:1.0/host10/target10:0:0/10:0:0:0/block/sdb
**** ADDING /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1/1-1:1.0/host10/target10:0:0/10:0:0:0/block/sdb/sdb1
**** UPDATING /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1/1-1:1.0/host10/target10:0:0/10:0:0:0/block/sdb/sdb1
**** ADDED /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1/1-1:1.0/host10/target10:0:0/10:0:0:0/block/sdb/sdb1

The daemon monitor shows this:

[bdm@peterson SPECS]$ devkit-disks --monitor-detail
Monitoring activity from the disks daemon. Press Ctrl+C to cancel.
added:     /org/freedesktop/DeviceKit/Disks/devices/sdb
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb
  native-path:             /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1/1-1:1.0/host10/target10:0:0/10:0:0:0/block/sdb
  device:                  8:16
  device-file:             /dev/sdb
    by-id:                 /dev/disk/by-id/usb-Samsung_Mighty_Drive_076B1291997B-0:0
    by-path:               /dev/disk/by-path/pci-0000:00:1a.7-usb-0:1:1.0-scsi-0:0:0:0
  detected at:             Wed 23 Sep 2009 22:48:32 BST
  system internal:         0
  removable:               1
  has media:               1 (detected at Wed 23 Sep 2009 22:48:32 BST)
    detects change:        1
    detection by polling:  1
    detection inhibitable: 1
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:             
  mounted by uid:          0
  presentation hide:       0
  presentation name:       
  presentation icon:       
  size:                    2063073280
  block size:              512
  job underway:            no
  usage:                   
  type:                    
  version:                 
  uuid:                    
  label:                   
  partition table:
    scheme:                mbr
    count:                 1
  drive:
    vendor:                Samsung
    model:                 Mighty Drive
    revision:              PMAP
    serial:                076B1291997B
    ejectable:             0
    require eject:         0
    media:                 
      compat:             
    interface:             usb
    if speed:              480000000 bits/s
    ATA SMART:             not available

added:     /org/freedesktop/DeviceKit/Disks/devices/sdb1
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb1
  native-path:             /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1/1-1:1.0/host10/target10:0:0/10:0:0:0/block/sdb/sdb1
  device:                  8:17
  device-file:             /dev/sdb1
    by-id:                 /dev/disk/by-id/usb-Samsung_Mighty_Drive_076B1291997B-0:0-part1
    by-id:                 /dev/disk/by-uuid/6230-90D7
    by-path:               /dev/disk/by-path/pci-0000:00:1a.7-usb-0:1:1.0-scsi-0:0:0:0-part1
  detected at:             Wed 23 Sep 2009 22:48:33 BST
  system internal:         0
  removable:               0
  has media:               1 (detected at Wed 23 Sep 2009 22:48:33 BST)
    detects change:        0
    detection by polling:  0
    detection inhibitable: 0
    detection inhibited:   0
  is read only:            0
  is mounted:              0
  mount paths:             
  mounted by uid:          0
  presentation hide:       0
  presentation name:       
  presentation icon:       
  size:                    2063056896
  block size:              512
  job underway:            no
  usage:                   filesystem
  type:                    vfat
  version:                 FAT16
  uuid:                    6230-90D7
  label:                   MightyDrive
  partition:
    part of:               /org/freedesktop/DeviceKit/Disks/devices/sdb
    scheme:                mbr
    number:                1
    type:                  0x0e
    flags:                 boot
    offset:                16384
    size:                  2063056896
    label:                 
    uuid:                  


Is there something else that should be set up for the automount to work, or is the problem that the daemon needs to be started by the desktop and not independently of it?

Comment 10 Brian Morrison 2009-09-23 22:27:43 UTC
A restart of the machine has now got USB flash drive automount working (and probably automounting of other sorts of disks too).

So the problem seems to be something in the SMART features of the Seagate FreeDesktop 500GB external USB disk. It is currently disconnected until a fix turns up.

Hope the info above is enough to find what the problem is.

Comment 11 Bug Zapper 2010-04-28 10:32:17 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-06-28 14:47:09 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.